com.pixelmed.network

## Class NetworkApplicationInformationFederated

- java.lang.Object
- - com.pixelmed.network.NetworkApplicationInformation
  - - com.pixelmed.network.NetworkApplicationInformationFederated

    public class NetworkApplicationInformationFederated
    extends NetworkApplicationInformation

This class encapsulates information about DICOM network devices federated from multiple sources.

### Field Summary

Fields
`protected long` `lastTimeUpdateRan`
`protected static long` `RefreshFromSourcesInterval`
`protected java.util.ArrayList` `sources`

### Fields inherited from class com.pixelmed.network.NetworkApplicationInformation

`propertyName_DicomRemoteAEs, resourceName_PublicStorageSCPs`

### Constructor Summary

Constructors
Constructor and Description
`NetworkApplicationInformationFederated()`

### Method Summary

Methods
`void` `addSource(NetworkConfigurationSource source)` Add a new source of network information.
`ApplicationEntityMap` `getApplicationEntityMap()` Return the application entity map.
`java.lang.String` `getApplicationEntityTitleFromLocalName(java.lang.String localName)` Find the AET an application entity given its local name.
`java.util.Set` `getListOfApplicationEntityTitlesOfApplicationEntities()` Return the set of local names of application entities.
`java.util.Set` `getListOfLocalNamesOfApplicationEntities()` Return the set of local names of application entities.
`java.lang.String` `getLocalNameFromApplicationEntityTitle(java.lang.String aet)` Find the local name of an application entity given its AET.
`void` `removeAllSources()` Remove all sources and all caches of network information.
`void` `startupAllKnownSourcesAndRegister(NetworkApplicationProperties properties)` Startup all sources of network information and register oneself.
`void` `startupAllKnownSourcesAndRegister(NetworkApplicationProperties networkApplicationProperties, WebServerApplicationProperties webServerApplicationProperties)` Startup all sources of network information and register oneself.
`protected void` `update()`

### Methods inherited from class com.pixelmed.network.NetworkApplicationInformation

`add, add, addAll, addAll, addPublicStorageSCPs, getLDIFRepresentation, getProperties, remove, removeAll, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### RefreshFromSourcesInterval

    protected static final long RefreshFromSourcesInterval

See Also:
  Constant Field Values

#### sources

    protected java.util.ArrayList sources

#### lastTimeUpdateRan

    protected long lastTimeUpdateRan

### Constructor Detail

#### NetworkApplicationInformationFederated

    public NetworkApplicationInformationFederated()

### Method Detail

#### getApplicationEntityMap

    public ApplicationEntityMap getApplicationEntityMap()

Return the application entity map.

Overrides:
  `getApplicationEntityMap` in class `NetworkApplicationInformation`
Returns:
  the application entity map

#### getListOfLocalNamesOfApplicationEntities

    public java.util.Set getListOfLocalNamesOfApplicationEntities()

Return the set of local names of application entities.

Overrides:
  `getListOfLocalNamesOfApplicationEntities` in class `NetworkApplicationInformation`
Returns:
  the set of local names

#### getListOfApplicationEntityTitlesOfApplicationEntities

    public java.util.Set getListOfApplicationEntityTitlesOfApplicationEntities()

Return the set of local names of application entities.

Overrides:
  `getListOfApplicationEntityTitlesOfApplicationEntities` in class `NetworkApplicationInformation`
Returns:
  the set of local names

#### getApplicationEntityTitleFromLocalName

    public java.lang.String getApplicationEntityTitleFromLocalName(java.lang.String localName)

Find the AET an application entity given its local name.

Overrides:
  `getApplicationEntityTitleFromLocalName` in class `NetworkApplicationInformation`
Parameters:
  `localName` - the local name of the AE
Returns:
  the AET, or null if none

#### getLocalNameFromApplicationEntityTitle

    public java.lang.String getLocalNameFromApplicationEntityTitle(java.lang.String aet)

Find the local name of an application entity given its AET.

Overrides:
  `getLocalNameFromApplicationEntityTitle` in class `NetworkApplicationInformation`
Parameters:
  `aet` - the application entity title
Returns:
  the local name, or null if none

#### update

    protected void update()

#### addSource

    public void addSource(NetworkConfigurationSource source)

Add a new source of network information.

Parameters:
  `source` - the source of network information

#### removeAllSources

    public void removeAllSources()

Remove all sources and all caches of network information.

Includes unregistering any mDNS registered services.

E.g., prior to changing properties and restarting.

#### startupAllKnownSourcesAndRegister

    public void startupAllKnownSourcesAndRegister(NetworkApplicationProperties properties)

Startup all sources of network information and register oneself.

Parameters:
  `properties` - the pre-configured DICOM network properties, including information about other sources and self to register

#### startupAllKnownSourcesAndRegister

    public void startupAllKnownSourcesAndRegister(NetworkApplicationProperties networkApplicationProperties,
                                         WebServerApplicationProperties webServerApplicationProperties)

Startup all sources of network information and register oneself.

Parameters:
  `networkApplicationProperties` - the pre-configured DICOM network properties, including information about other sources and self to register
  `webServerApplicationProperties` - the pre-configured web server network properties